.block-banner:not(.section_padding_top) {
  padding-top: 5rem; }
  @media screen and (min-width: 160.0625rem) {
    .block-banner:not(.section_padding_top) {
      padding-top: 3.125vw; } }
  @media screen and (max-width: 106.25rem) {
    .block-banner:not(.section_padding_top) {
      padding-top: 3.75rem; } }
  @media screen and (max-width: 85rem) {
    .block-banner:not(.section_padding_top) {
      padding-top: 2.5rem; } }
  @media screen and (max-width: 39.375rem) {
    .block-banner:not(.section_padding_top) {
      padding-top: 1.5625rem; } }

@media screen and (max-width: 85rem) {
  .block-banner__container.container {
    padding: 0; } }

.block-banner__content {
  position: relative;
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  -webkit-column-gap: var(--grid-column-gap);
     -moz-column-gap: var(--grid-column-gap);
          column-gap: var(--grid-column-gap);
  row-gap: var(--grid-row-gap);
  background-color: var(--accent-dark-primary);
  color: var(--text-light-primary);
  border-radius: var(--radius-common);
  overflow: hidden; }
  @media screen and (max-width: 48.75rem) {
    .block-banner__content {
      grid-template-columns: 1fr; } }
  @media screen and (max-width: 85rem) {
    .block-banner__content.container-secondary {
      padding: 0 var(--container-offset); } }

.block-banner__image {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  margin: 0;
  padding: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bg-dark-primary);
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  pointer-events: none; }
  .block-banner__image::before {
    content: "";
    position: absolute;
    top: -0rem;
    left: -0rem;
    width: calc(100% + 0rem * 2);
    height: calc(100% + 0rem * 2);
    background-color: transparent;
    opacity: 0;
    z-index: 1;
    background-image: -webkit-gradient(linear, left bottom, left top, from(rgba(0, 0, 0, 0.7)), color-stop(63.04%, rgba(0, 0, 0, 0)));
    background-image: linear-gradient(0deg, rgba(0, 0, 0, 0.7) 0%, rgba(0, 0, 0, 0) 63.04%);
    opacity: 1; }
    @media screen and (min-width: 160.0625rem) {
      .block-banner__image::before {
        top: 0vw;
        left: 0vw;
        width: calc(100% + 0vw * 2);
        height: calc(100% + 0vw * 2); } }
  .block-banner__image img,
  .block-banner__image picture {
    position: relative;
    z-index: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    -o-object-position: 0 50%;
       object-position: 0 50%; }

.block-banner__column {
  position: relative;
  z-index: 1;
  padding: 6.25rem 0;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 3.75rem; }
  @media screen and (min-width: 137.5625rem) {
    .block-banner__column {
      padding: 9.375rem 0; } }
  @media screen and (min-width: 160.0625rem) {
    .block-banner__column {
      padding: 5.85938vw 0;
      gap: 2.34375vw; } }
  @media screen and (max-width: 106.25rem) {
    .block-banner__column {
      padding: 6.875rem 0;
      gap: 2.5rem; } }
  @media screen and (max-width: 85rem) {
    .block-banner__column {
      padding: 3.125rem 0;
      gap: 1.875rem; } }
  @media screen and (max-width: 48.75rem) {
    .block-banner__column {
      max-width: 80%; } }
  @media screen and (max-width: 40.625rem) {
    .block-banner__column {
      max-width: unset; } }
  @media screen and (max-width: 39.375rem) {
    .block-banner__column {
      padding: 2.5rem 0; } }

.block-banner__head {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.5625rem; }
  @media screen and (min-width: 160.0625rem) {
    .block-banner__head {
      gap: 0.97656vw; } }
  @media screen and (max-width: 106.25rem) {
    .block-banner__head {
      gap: 1.25rem; } }
  @media screen and (max-width: 85rem) {
    .block-banner__head {
      gap: 0.9375rem; } }

.block-banner__title {
  width: 100%;
  color: var(--text-light-primary); }

.block-banner__description {
  width: 100%;
  color: var(--text-light-secondary); }

.block-banner__advantages {
  margin: 0;
  padding: 0;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  list-style: none; }
  @media screen and (max-width: 68.75rem) {
    .block-banner__advantages {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start; } }
  .block-banner__advantages .block-banner__item {
    --before-width: 3.125rem;
    position: relative;
    margin: 0;
    padding: 1.375rem 2.8125rem 1.6875rem 0;
    width: 100%;
    height: auto;
    -ms-flex-preferred-size: 33.333%;
        flex-basis: 33.333%;
    border-width: 1px 0; }
    @media screen and (min-width: 160.0625rem) {
      .block-banner__advantages .block-banner__item {
        --before-width: 1.95312vw;
        padding: 0.85938vw 1.75781vw 1.09375vw 0;
        border-width: 0.03906vw 0; } }
    @media screen and (max-width: 85rem) {
      .block-banner__advantages .block-banner__item {
        -ms-flex-preferred-size: unset;
            flex-basis: unset;
        border-width: 1px 0 0; } }
    .block-banner__advantages .block-banner__item::before {
      content: "";
      position: absolute;
      top: -1px;
      left: 0;
      width: var(--before-width);
      height: 0.125rem;
      border-radius: var(--radius-common);
      background-color: var(--text-light-primary); }
      @media screen and (min-width: 160.0625rem) {
        .block-banner__advantages .block-banner__item::before {
          top: -0.03906vw;
          height: 0.07812vw; } }
    @media screen and (max-width: 68.75rem) {
      .block-banner__advantages .block-banner__item:last-child {
        border-bottom-width: 1px; } }
    .block-banner__advantages .block-banner__item span {
      display: block; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,eyJ2ZXJzaW9uIjozLCJzb3VyY2VzIjpbImNvbXBvbmVudHMvYmxvY2stYmFubmVyL2Jsb2NrLWJhbm5lci5zY3NzIiwibWl4aW5zL19taW5pLnNjc3MiLCJtaXhpbnMvX21peGluLnNjc3MiLCJtaXhpbnMvX3BzZXVkby1ob3Zlci5zY3NzIl0sIm5hbWVzIjpbXSwibWFwcGluZ3MiOiJBQUVBO0VBRUksaUJDSDJCLEVBQUE7RUNBN0I7SUZDRjtNQUtNLG9CQ0YrQixFQUFBLEVEZ0JsQztFRVJEO0lGWEY7TUFTTSxvQkNWeUIsRUFBQSxFRG9CNUI7RUVGRDtJRmpCRjtNQWFNLG1CQ2R5QixFQUFBLEVEb0I1QjtFRUlEO0lGdkJGO01BaUJNLHNCQ2xCeUIsRUFBQSxFRG9CNUI7O0FFRkQ7RUZJQTtJQUVJLFVBQVUsRUFBQSxFQUViOztBQUVEO0VBQ0Usa0JBQWtCO0VBRWxCLFdBQVc7RUFDWCxZQUFZO0VBQ1osYUFBYTtFQUNiLHFDQUFxQztFQUNyQywwQ0FBa0M7S0FBbEMsdUNBQWtDO1VBQWxDLGtDQUFrQztFQUNsQyw0QkFBNEI7RUFFNUIsNENBQTRDO0VBQzVDLGdDQUFnQztFQUVoQyxtQ0FBbUM7RUFDbkMsZ0JBQWdCLEVBQUE7RUVabEI7SUZGQTtNQWlCSSwwQkFBMEIsRUFBQSxFQVE3QjtFRW5DRDtJRlVDO01Bc0JLLGtDQUFrQyxFQUFBLEVBRXJDOztBQUdIO0VBQ0Usa0JBQWtCO0VBQ2xCLE1BQU07RUFDTixPQUFPO0VBQ1AsVUFBVTtFQUNWLFNBQVM7RUFFVCxVQUFVO0VBQ1YsV0FBVztFQUNYLFlBQVk7RUFFWix3Q0FBd0M7RUFFeEMseUJBQWlCO0tBQWpCLHNCQUFpQjtNQUFqQixxQkFBaUI7VUFBakIsaUJBQWlCO0VBQ2pCLG9CQUFvQixFQUFBO0VBZHJCO0lHdkRELFdBQVc7SUFDWCxrQkFBa0I7SUFDbEIsVUFBcUI7SUFDckIsV0FBc0I7SUFFdEIsNEJBQXNDO0lBQ3RDLDZCQUF1QztJQUV2Qyw2QkFBNkI7SUFFN0IsVUFBVTtJSCtESixVQUFVO0lBRVYsaUlBQTJGO0lBQTNGLHVGQUEyRjtJQUMzRixVQUFVLEVBQUE7SUU1RWhCO01GdURDO1FHMUNDLFFBQUs7UUFDTCxTQUFNO1FBRU4sMkJBQXNDO1FBQ3RDLDRCQUF1QyxFQUFBLEVINkR0QztFQXZCRjs7SUEyQkcsa0JBQWtCO0lBQ2xCLFVBQVU7SUFFVixXQUFXO0lBQ1gsWUFBWTtJQUVaLG9CQUFpQjtPQUFqQixpQkFBaUI7SUFDakIseUJBQXNCO09BQXRCLHNCQUFzQixFQUFBOztBQUkxQjtFQUNFLGtCQUFrQjtFQUNsQixVQUFVO0VBRVYsa0JBQW1CO0VBQ25CLFdBQVc7RUFDWCxvQkFBYTtFQUFiLG9CQUFhO0VBQWIsYUFBYTtFQUNiLDRCQUFzQjtFQUF0Qiw2QkFBc0I7TUFBdEIsMEJBQXNCO1VBQXRCLHNCQUFzQjtFQUN0Qix3QkFBdUI7TUFBdkIscUJBQXVCO1VBQXZCLHVCQUF1QjtFQUN2Qix1QkFBMkI7TUFBM0Isb0JBQTJCO1VBQTNCLDJCQUEyQjtFQUMzQixZQ3ZHMkIsRUFBQTtFQ003QjtJRnVGQTtNQWFJLG1CQUFtQixFQUFBLEVBNkJ0QjtFRXZJRDtJRjZGQTtNQWlCSSxvQkFBbUI7TUFDbkIsY0MzRytCLEVBQUEsRURtSWxDO0VFM0hEO0lGaUZBO01Bc0JJLG1CQUFtQjtNQUNuQixXQ3BIeUIsRUFBQSxFRHVJNUI7RUVySEQ7SUYyRUE7TUEyQkksbUJBQWtCO01BQ2xCLGFDekh5QixFQUFBLEVEdUk1QjtFRXpHRDtJRitEQTtNQWdDSSxjQUFjLEVBQUEsRUFVakI7RUV6R0Q7SUYrREE7TUFvQ0ksZ0JBQWdCLEVBQUEsRUFNbkI7RUUvR0Q7SUZxRUE7TUF3Q0ksaUJBQWtCLEVBQUEsRUFFckI7O0FBRUQ7RUFDRSxXQUFXO0VBQ1gsb0JBQWE7RUFBYixvQkFBYTtFQUFiLGFBQWE7RUFDYiw0QkFBc0I7RUFBdEIsNkJBQXNCO01BQXRCLDBCQUFzQjtVQUF0QixzQkFBc0I7RUFDdEIsd0JBQXVCO01BQXZCLHFCQUF1QjtVQUF2Qix1QkFBdUI7RUFDdkIsdUJBQTJCO01BQTNCLG9CQUEyQjtVQUEzQiwyQkFBMkI7RUFDM0IsY0MvSTJCLEVBQUE7RUNBN0I7SUZ5SUE7TUFTSSxjQzlJK0IsRUFBQSxFRHdKbEM7RUVoSkQ7SUY2SEE7TUFhSSxZQ3RKeUIsRUFBQSxFRDRKNUI7RUUxSUQ7SUZ1SEE7TUFpQkksY0MxSnlCLEVBQUEsRUQ0SjVCOztBQUVEO0VBQ0UsV0FBVztFQUVYLGdDQUFnQyxFQUFBOztBQUdsQztFQUNFLFdBQVc7RUFFWCxrQ0FBa0MsRUFBQTs7QUFHcEM7RUFDRSxTQUFTO0VBRVQsVUFBVTtFQUNWLFdBQVc7RUFDWCxvQkFBYTtFQUFiLG9CQUFhO0VBQWIsYUFBYTtFQUNiLDhCQUFtQjtFQUFuQiw2QkFBbUI7TUFBbkIsdUJBQW1CO1VBQW5CLG1CQUFtQjtFQUNuQiwwQkFBb0I7TUFBcEIsdUJBQW9CO1VBQXBCLG9CQUFvQjtFQUNwQix1QkFBMkI7TUFBM0Isb0JBQTJCO1VBQTNCLDJCQUEyQjtFQUMzQixtQkFBZTtNQUFmLGVBQWU7RUFFZixnQkFBZ0IsRUFBQTtFRXZKbEI7SUY0SUE7TUFjSSw0QkFBc0I7TUFBdEIsNkJBQXNCO1VBQXRCLDBCQUFzQjtjQUF0QixzQkFBc0I7TUFDdEIsd0JBQXVCO1VBQXZCLHFCQUF1QjtjQUF2Qix1QkFBdUI7TUFDdkIsdUJBQTJCO1VBQTNCLG9CQUEyQjtjQUEzQiwyQkFBMkIsRUFBQSxFQTZEOUI7RUE3RUE7SUFxQkssd0JBQWU7SUFFZixrQkFBa0I7SUFDbEIsU0FBUztJQUVULHVDQUFrQztJQUNsQyxXQUFXO0lBQ1gsWUFBWTtJQUNaLGdDQUFtQjtRQUFuQixtQkFBbUI7SUFFbkIsbUJBQW1CLEVBQUE7SUV6TXpCO01GMEtDO1FBa0NLLHlCQUFlO1FBRWIsd0NBQWtDO1FBRWxDLHlCQUFzQixFQUFBLEVBcUN6QjtJRW5PTDtNRndKQztRQTBDTyw4QkFBaUI7WUFBakIsaUJBQWlCO1FBRWpCLHFCQUFxQixFQUFBLEVBK0J4QjtJQTNFSjtNQWdETyxXQUFXO01BQ1gsa0JBQWtCO01BQ2xCLFNBQVM7TUFDVCxPQUFPO01BRVAsMEJBQTBCO01BQzFCLGdCQ2hPcUI7TURrT3JCLG1DQUFtQztNQUNuQywyQ0FBMkMsRUFBQTtNRW5PbkQ7UUYwS0M7VUE0RFMsZUNsT3lCO1VEb096QixpQkNwT3lCLEVBQUEsRURzTzVCO0lFNU1QO01GNElDO1FBb0VTLHdCQUF3QixFQUFBLEVBRTNCO0lBdEVOO01BeUVPLGNBQWMsRUFBQSIsImZpbGUiOiJjb21wb25lbnRzL2Jsb2NrLWJhbm5lci9ibG9jay1iYW5uZXIuY3NzIiwic291cmNlc0NvbnRlbnQiOlsiQGltcG9ydCBcIi4uLy4uL21peGluc1wiO1xuXG4uYmxvY2stYmFubmVyIHtcbiAgJjpub3QoLnNlY3Rpb25fcGFkZGluZ190b3ApIHtcbiAgICBwYWRkaW5nLXRvcDogcmVtKDgwKTtcblxuICAgIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgICBwYWRkaW5nLXRvcDogYmlnKDgwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICBwYWRkaW5nLXRvcDogcmVtKDYwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICBwYWRkaW5nLXRvcDogcmVtKDQwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYU1vYmlsZSB7XG4gICAgICBwYWRkaW5nLXRvcDogcmVtKDI1KTtcbiAgICB9XG4gIH1cblxuICAmX19jb250YWluZXIuY29udGFpbmVyIHtcbiAgICBAaW5jbHVkZSBtZWRpYVRhYmxldCB7XG4gICAgICBwYWRkaW5nOiAwO1xuICAgIH1cbiAgfVxuXG4gICZfX2NvbnRlbnQge1xuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcblxuICAgIHdpZHRoOiAxMDAlO1xuICAgIGhlaWdodDogYXV0bztcbiAgICBkaXNwbGF5OiBncmlkO1xuICAgIGdyaWQtdGVtcGxhdGUtY29sdW1uczogcmVwZWF0KDIsIDFmcik7XG4gICAgY29sdW1uLWdhcDogdmFyKC0tZ3JpZC1jb2x1bW4tZ2FwKTtcbiAgICByb3ctZ2FwOiB2YXIoLS1ncmlkLXJvdy1nYXApO1xuICAgIFxuICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLWFjY2VudC1kYXJrLXByaW1hcnkpO1xuICAgIGNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LXByaW1hcnkpO1xuXG4gICAgYm9yZGVyLXJhZGl1czogdmFyKC0tcmFkaXVzLWNvbW1vbik7XG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcblxuICAgIEBpbmNsdWRlIG1lZGlhKCN7cmVtKDc4MCl9KSB7XG4gICAgICBncmlkLXRlbXBsYXRlLWNvbHVtbnM6IDFmcjtcbiAgICB9XG5cbiAgICAmLmNvbnRhaW5lci1zZWNvbmRhcnkge1xuICAgICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgICBwYWRkaW5nOiAwIHZhcigtLWNvbnRhaW5lci1vZmZzZXQpO1xuICAgICAgfVxuICAgIH1cbiAgfVxuXG4gICZfX2ltYWdlIHtcbiAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgdG9wOiAwO1xuICAgIGxlZnQ6IDA7XG4gICAgei1pbmRleDogMDtcbiAgICBtYXJnaW46IDA7XG5cbiAgICBwYWRkaW5nOiAwO1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGhlaWdodDogMTAwJTtcblxuICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLWJnLWRhcmstcHJpbWFyeSk7XG5cbiAgICB1c2VyLXNlbGVjdDogbm9uZTtcbiAgICBwb2ludGVyLWV2ZW50czogbm9uZTtcblxuICAgICY6OmJlZm9yZSB7XG4gICAgICBAaW5jbHVkZSBwc2V1ZG8oMCkge1xuICAgICAgICB6LWluZGV4OiAxO1xuXG4gICAgICAgIGJhY2tncm91bmQtaW1hZ2U6IGxpbmVhci1ncmFkaWVudCgwZGVnLCByZ2JhKDAsIDAsIDAsIDAuNzApIDAlLCByZ2JhKDAsIDAsIDAsIDAuMDApIDYzLjA0JSk7XG4gICAgICAgIG9wYWNpdHk6IDE7XG4gICAgICB9XG4gICAgfVxuXG4gICAgJiBpbWcsXG4gICAgJiBwaWN0dXJlIHtcbiAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgIHotaW5kZXg6IDA7XG5cbiAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgaGVpZ2h0OiAxMDAlO1xuXG4gICAgICBvYmplY3QtZml0OiBjb3ZlcjtcbiAgICAgIG9iamVjdC1wb3NpdGlvbjogMCA1MCU7XG4gICAgfVxuICB9XG5cbiAgJl9fY29sdW1uIHtcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgei1pbmRleDogMTtcblxuICAgIHBhZGRpbmc6IHJlbSgxMDApIDA7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgIGFsaWduLWl0ZW1zOiBmbGV4LXN0YXJ0O1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBnYXA6IHJlbSg2MCk7XG5cbiAgICBAaW5jbHVkZSBtZWRpYURlc2t0b3Age1xuICAgICAgcGFkZGluZzogcmVtKDE1MCkgMDtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgcGFkZGluZzogYmlnKDE1MCkgMDtcbiAgICAgIGdhcDogYmlnKDYwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICBwYWRkaW5nOiByZW0oMTEwKSAwO1xuICAgICAgZ2FwOiByZW0oNDApO1xuICAgIH1cblxuICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgIHBhZGRpbmc6IHJlbSg1MCkgMDtcbiAgICAgIGdhcDogcmVtKDMwKTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYSgje3JlbSg3ODApfSkge1xuICAgICAgbWF4LXdpZHRoOiA4MCU7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWEoI3tyZW0oNjUwKX0pIHtcbiAgICAgIG1heC13aWR0aDogdW5zZXQ7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFNb2JpbGUge1xuICAgICAgcGFkZGluZzogcmVtKDQwKSAwO1xuICAgIH1cbiAgfVxuXG4gICZfX2hlYWQge1xuICAgIHdpZHRoOiAxMDAlO1xuICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICBhbGlnbi1pdGVtczogZmxleC1zdGFydDtcbiAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgZ2FwOiByZW0oMjUpO1xuXG4gICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgIGdhcDogYmlnKDI1KTtcbiAgICB9XG5cbiAgICBAaW5jbHVkZSBtZWRpYUxhcHRvcCB7XG4gICAgICBnYXA6IHJlbSgyMCk7XG4gICAgfVxuXG4gICAgQGluY2x1ZGUgbWVkaWFUYWJsZXQge1xuICAgICAgZ2FwOiByZW0oMTUpO1xuICAgIH1cbiAgfVxuXG4gICZfX3RpdGxlIHtcbiAgICB3aWR0aDogMTAwJTtcblxuICAgIGNvbG9yOiB2YXIoLS10ZXh0LWxpZ2h0LXByaW1hcnkpO1xuICB9XG5cbiAgJl9fZGVzY3JpcHRpb24ge1xuICAgIHdpZHRoOiAxMDAlO1xuXG4gICAgY29sb3I6IHZhcigtLXRleHQtbGlnaHQtc2Vjb25kYXJ5KTtcbiAgfVxuXG4gICZfX2FkdmFudGFnZXMge1xuICAgIG1hcmdpbjogMDtcblxuICAgIHBhZGRpbmc6IDA7XG4gICAgd2lkdGg6IDEwMCU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBmbGV4LWRpcmVjdGlvbjogcm93O1xuICAgIGFsaWduLWl0ZW1zOiBzdHJldGNoO1xuICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICBmbGV4LXdyYXA6IHdyYXA7XG5cbiAgICBsaXN0LXN0eWxlOiBub25lO1xuXG4gICAgQGluY2x1ZGUgbWVkaWEoI3tyZW0oMTEwMCl9KSB7XG4gICAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgICAgYWxpZ24taXRlbXM6IGZsZXgtc3RhcnQ7XG4gICAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtc3RhcnQ7XG4gICAgfVxuXG4gICAgJiAuYmxvY2stYmFubmVyIHtcbiAgICAgICZfX2l0ZW0ge1xuICAgICAgICAtLWJlZm9yZS13aWR0aDogI3tyZW0oNTApfTtcblxuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgIG1hcmdpbjogMDtcblxuICAgICAgICBwYWRkaW5nOiByZW0oMjIpIHJlbSg0NSkgcmVtKDI3KSAwO1xuICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgaGVpZ2h0OiBhdXRvO1xuICAgICAgICBmbGV4LWJhc2lzOiAzMy4zMzMlO1xuXG4gICAgICAgIGJvcmRlci13aWR0aDogMXB4IDA7XG5cbiAgICAgICAgQGluY2x1ZGUgbWVkaWFCaWdEZXNrdG9wIHtcbiAgICAgICAgLS1iZWZvcmUtd2lkdGg6ICN7YmlnKDUwKX07XG5cbiAgICAgICAgICBwYWRkaW5nOiBiaWcoMjIpIGJpZyg0NSkgYmlnKDI4KSAwO1xuXG4gICAgICAgICAgYm9yZGVyLXdpZHRoOiBiaWcoMSkgMDtcbiAgICAgICAgfVxuXG4gICAgICAgIEBpbmNsdWRlIG1lZGlhVGFibGV0IHtcbiAgICAgICAgICBmbGV4LWJhc2lzOiB1bnNldDtcblxuICAgICAgICAgIGJvcmRlci13aWR0aDogMXB4IDAgMDtcbiAgICAgICAgfVxuXG4gICAgICAgICY6OmJlZm9yZSB7XG4gICAgICAgICAgY29udGVudDogXCJcIjtcbiAgICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgICAgdG9wOiAtMXB4O1xuICAgICAgICAgIGxlZnQ6IDA7XG5cbiAgICAgICAgICB3aWR0aDogdmFyKC0tYmVmb3JlLXdpZHRoKTtcbiAgICAgICAgICBoZWlnaHQ6IHJlbSgyKTtcblxuICAgICAgICAgIGJvcmRlci1yYWRpdXM6IHZhcigtLXJhZGl1cy1jb21tb24pO1xuICAgICAgICAgIGJhY2tncm91bmQtY29sb3I6IHZhcigtLXRleHQtbGlnaHQtcHJpbWFyeSk7XG5cbiAgICAgICAgICBAaW5jbHVkZSBtZWRpYUJpZ0Rlc2t0b3Age1xuICAgICAgICAgICAgdG9wOiBiaWcoLTEpO1xuXG4gICAgICAgICAgICBoZWlnaHQ6IGJpZygyKTtcbiAgICAgICAgICB9XG4gICAgICAgIH1cblxuICAgICAgICAmOmxhc3QtY2hpbGQge1xuICAgICAgICAgIEBpbmNsdWRlIG1lZGlhKCN7cmVtKDExMDApfSkge1xuICAgICAgICAgICAgYm9yZGVyLWJvdHRvbS13aWR0aDogMXB4O1xuICAgICAgICAgIH1cbiAgICAgICAgfVxuXG4gICAgICAgICYgc3BhbiB7XG4gICAgICAgICAgZGlzcGxheTogYmxvY2s7XG4gICAgICAgIH1cbiAgICAgIH1cbiAgICB9XG4gIH1cbn1cbiIsIkBmdW5jdGlvbiByZW0oJHBpeGVscykge1xuICBAcmV0dXJuICN7JHBpeGVscyAvIDE2fXJlbTtcbn1cblxuQGZ1bmN0aW9uIGJpZygkcGl4ZWxzKSB7XG4gIEByZXR1cm4gI3skcGl4ZWxzIC8gMjU2MCAqIDEwMH12dztcbn1cbiIsIkBtaXhpbiBtZWRpYUJpZ0Rlc2t0b3Age1xuICBAbWVkaWEgc2NyZWVuIGFuZCAobWluLXdpZHRoOiAje3JlbSgyNTYxKX0pIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG5AbWl4aW4gbWVkaWFEZXNrdG9wIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1pbi13aWR0aDogI3tyZW0oMjIwMSl9KSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuQG1peGluIG1lZGlhTGFwdG9wIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogI3tyZW0oMTcwMCl9KSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuQG1peGluIG1lZGlhVGFibGV0IHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogI3tyZW0oMTM2MCl9KSB7XG4gICAgQGNvbnRlbnQ7XG4gIH1cbn1cblxuQG1peGluIG1lZGlhTW9iaWxlIHtcbiAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDogI3tyZW0oNjMwKX0pIHtcbiAgICBAY29udGVudDtcbiAgfVxufVxuXG5AbWl4aW4gbWVkaWEoJHdpZHRoKSB7XG4gIEBtZWRpYSBzY3JlZW4gYW5kIChtYXgtd2lkdGg6ICR3aWR0aCkge1xuICAgIEBjb250ZW50O1xuICB9XG59XG4iLCJAbWl4aW4gcHNldWRvKCRwaXhlbCkge1xuICBjb250ZW50OiBcIlwiO1xuICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gIHRvcDogLSN7cmVtKCRwaXhlbCl9O1xuICBsZWZ0OiAtI3tyZW0oJHBpeGVsKX07XG5cbiAgd2lkdGg6IGNhbGMoMTAwJSArICN7cmVtKCRwaXhlbCl9ICogMik7XG4gIGhlaWdodDogY2FsYygxMDAlICsgI3tyZW0oJHBpeGVsKX0gKiAyKTtcblxuICBiYWNrZ3JvdW5kLWNvbG9yOiB0cmFuc3BhcmVudDtcblxuICBvcGFjaXR5OiAwO1xuXG4gIEBpbmNsdWRlIG1lZGlhQmlnRGVza3RvcCB7XG4gICAgdG9wOiAje2JpZygtJHBpeGVsKX07XG4gICAgbGVmdDogI3tiaWcoLSRwaXhlbCl9O1xuICBcbiAgICB3aWR0aDogY2FsYygxMDAlICsgI3tiaWcoJHBpeGVsKX0gKiAyKTtcbiAgICBoZWlnaHQ6IGNhbGMoMTAwJSArICN7YmlnKCRwaXhlbCl9ICogMik7XG4gIH1cblxuICBAY29udGVudDtcbn1cbiJdfQ== */
